Page MenuHomePhabricator

[S] Left horizontal spacing on property constraint warning icons is a little short sometimes
Closed, ResolvedPublicBUG REPORT

Description

Steps to Reproduce:
Add an IMDB id to any image on Commons, but use the wrong format.

Actual Results:
The left spacing for the exclamation point icon is too small and conflicts with the text of the value. The lightning bolt icon's spacing is fine though.

Expected Results:
All icons should have the same spacing that allows adequate room between the statement value and the property constraint icon

Acceptance criteria:

  • Spacing is fixed on BOTH statement and qualifier level

COVID-19 Deployment Criteria

  • Can you roll back this change without lasting impact?
    1. A recovery plan is required as this will help identify our capacity for recovering from the failure
    2. THIS IS A KEY QUESTION, if you can’t answer it, you shouldn’t deploy
  • Is specialized knowledge required to support this change in production? If so, are there multiple people with this knowledge?
  • Is there a way to increase confidence about the correctness of this change?
    1. Reviews (Design, Code, etc)
    2. Testing coverage (unit tests, integration tests)
    3. Manual testing (e.g. Beta, vagrant, docker)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2020, 6:21 PM
Ramsey-WMF renamed this task from Spacing on property constraint warning icons is a little short sometimes. to Left horizontal spacing on property constraint warning icons is a little short sometimes.Apr 27 2020, 6:22 PM
CBogen updated the task description. (Show Details)Apr 28 2020, 3:02 PM
Ramsey-WMF renamed this task from Left horizontal spacing on property constraint warning icons is a little short sometimes to [S] Left horizontal spacing on property constraint warning icons is a little short sometimes.May 13 2020, 4:22 PM
Cparle removed Cparle as the assignee of this task.May 13 2020, 4:22 PM

Change 603430 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Add whitespace between values & constraints violation icon

https://gerrit.wikimedia.org/r/603430

Change 603430 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Add whitespace between values & constraints violation icon

https://gerrit.wikimedia.org/r/603430

Checked in betalabs - the whitespace is in place:

Etonkovidova closed this task as Resolved.Jul 8 2020, 6:44 PM

Checked on commons wmf.39 - fixed.